libebook::HTMLHelpStream Class Reference documentation

Classes | Public Member Functions | Private Member Functions | Private Attributes | List of all members
libebook::HTMLHelpStream Class Reference

`#include <HTMLHelpStream.h>`

Inheritance diagram for libebook::HTMLHelpStream:

## Classes
struct | Impl

## Public Member Functions
| HTMLHelpStream (const RVNGInputStreamPtr_t &input)
virtual | ~HTMLHelpStream ()
virtual bool | isStructured ()
virtual unsigned | subStreamCount ()
virtual const char * | subStreamName (unsigned id)
virtual bool | existsSubStream (const char *name)
virtual librevenge::RVNGInputStream * | getSubStreamByName (const char *name)
virtual librevenge::RVNGInputStream * | getSubStreamById (unsigned id)
virtual const unsigned char * | read (unsigned long numBytes, unsigned long &numBytesRead)
virtual int | seek (long offset, librevenge::RVNG_SEEK_TYPE seekType)
virtual long | tell ()
virtual bool | isEnd ()

## Private Member Functions
| HTMLHelpStream (const HTMLHelpStream &other)
HTMLHelpStream & | operator= (const HTMLHelpStream &other)

## Private Attributes
std::unique_ptr< Impl > | m_impl

## Constructor & Destructor Documentation

## ◆ HTMLHelpStream() [1/2]

libebook::HTMLHelpStream::HTMLHelpStream | ( | const HTMLHelpStream & | other | ) |
| private

Referenced by HTMLHelpStream(), and operator=().

## ◆ HTMLHelpStream() [2/2]

libebook::HTMLHelpStream::HTMLHelpStream | ( | const RVNGInputStreamPtr_t & | input | ) |
| explicit

## ◆ ~HTMLHelpStream()

libebook::HTMLHelpStream::~HTMLHelpStream | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ existsSubStream()

bool libebook::HTMLHelpStream::existsSubStream | ( | const char * | name | ) |
| virtual

## ◆ getSubStreamById()

librevenge::RVNGInputStream * libebook::HTMLHelpStream::getSubStreamById | ( | unsigned | id | ) |
| virtual

## ◆ getSubStreamByName()

librevenge::RVNGInputStream * libebook::HTMLHelpStream::getSubStreamByName | ( | const char * | name | ) |
| virtual

## ◆ isEnd()

bool libebook::HTMLHelpStream::isEnd | ( |  | ) |
| virtual

## ◆ isStructured()

bool libebook::HTMLHelpStream::isStructured | ( |  | ) |
| virtual

## ◆ operator=()

HTMLHelpStream & libebook::HTMLHelpStream::operator= | ( | const HTMLHelpStream & | other | ) |
| private

## ◆ read()

const unsigned char * libebook::HTMLHelpStream::read | ( | unsigned long | numBytes,
|  | unsigned long & | numBytesRead )
| virtual

## ◆ seek()

int libebook::HTMLHelpStream::seek | ( | long | offset,
|  | librevenge::RVNG_SEEK_TYPE | seekType )
| virtual

## ◆ subStreamCount()

unsigned libebook::HTMLHelpStream::subStreamCount | ( |  | ) |
| virtual

Referenced by getSubStreamById(), and subStreamName().

## ◆ subStreamName()

const char * libebook::HTMLHelpStream::subStreamName | ( | unsigned | id | ) |
| virtual

## ◆ tell()

long libebook::HTMLHelpStream::tell | ( |  | ) |
| virtual

## Member Data Documentation

## ◆ m_impl

std::unique_ptr<Impl> libebook::HTMLHelpStream::m_impl
| private

Referenced by existsSubStream(), getSubStreamById(), getSubStreamByName(), HTMLHelpStream(), isEnd(), read(), seek(), subStreamCount(), subStreamName(), tell(), and ~HTMLHelpStream().

The documentation for this class was generated from the following files:

- HTMLHelpStream.h
- HTMLHelpStream.cpp